WordPress.org

Support

Support » Plugins and Hacks » [Plugin: WP Socializer] Strict errors

[Plugin: WP Socializer] Strict errors

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author vaakash
    Member

    @vaakash

    Thanks for the report. I’ll soon update it in the plugin.

    I’ve just updated to the latest version, and I’m getting a load of new errors now: http://pastebin.com/SJbtdkxw

    When you access the index of an array or access a variable, you must be sure that the array index / variable has been defined. If it has not been defined, then PHP will issue a warning.

    If you’re not sure whether a variable or array index will be defined, it is just a matter of using isset or !empty to make sure the array index / variable exists before you try to access it. (This is what I’ve done in the suggested fixes).

    Cheers

    Dave

    I also had a few HTML validation errors due to URLs containing spaces. This can be fixed by using the url-encoded title attributes etc. and using rawurlencode instead of urlencode:
    http://pastebin.com/Dax7CNNc

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: WP Socializer] Strict errors’ is closed to new replies.